import { z } from "zod"

export const paymentSchema = z.object({
  paymentMethod: z.string().nullish(),
  smsConfirmation: z.boolean(),
  termsAndConditions: z.boolean().refine((value) => value === true, {
    message: "You must accept the terms and conditions",
  }),
  guarantee: z.boolean(),
})

export interface PaymentFormData extends z.output<typeof paymentSchema> {}
